### Class

# Gimp Gradient

unstable since: 3.0

#### Description [src]

    final class Gimp.Gradient : Gimp.Resource
      implements Gimp.ConfigInterface {
      /* No available fields */
    }

Installable object used by the gradient rendering tool.

Available since: 3.0

#### Ancestors

- GimpResource
- GObject

#### Implements

- GimpConfigInterface

#### Constructors

###### gimp_gradient_new

Creates a new gradient.

since: 2.2

#### Functions

###### gimp_gradient_get_by_name

Returns the gradient with the given name.

unstable since: 3.0

#### Instance methods

###### gimp_gradient_get_custom_samples

Sample the gradient in custom positions.

since: 2.2

###### gimp_gradient_get_number_of_segments

Gets the number of segments of the gradient.

since: 2.6

###### gimp_gradient_get_uniform_samples

Sample the gradient in uniform parts.

since: 2.2

###### gimp_gradient_segment_get_blending_function

Gets the gradient segment’s blending function.

since: 2.2

###### gimp_gradient_segment_get_coloring_type

Gets the gradient segment’s coloring type.

since: 2.2

###### gimp_gradient_segment_get_left_color

Gets the left endpoint color of the segment.

since: 2.2

###### gimp_gradient_segment_get_left_pos

Gets the left endpoint position of a segment.

since: 2.2

###### gimp_gradient_segment_get_middle_pos

Gets the midpoint position of the segment.

since: 2.2

###### gimp_gradient_segment_get_right_color

Gets the right endpoint color of the segment.

since: 2.2

###### gimp_gradient_segment_get_right_pos

Gets the right endpoint position of the segment.

since: 2.2

###### gimp_gradient_segment_range_blend_colors

Blend the colors of the segment range.

since: 2.2

###### gimp_gradient_segment_range_blend_opacity

Blend the opacity of the segment range.

since: 2.2

###### gimp_gradient_segment_range_delete

Delete the segment range.

since: 2.2

###### gimp_gradient_segment_range_flip

Flip the segment range.

since: 2.2

###### gimp_gradient_segment_range_move

Move the position of an entire segment range by a delta.

since: 2.2

###### gimp_gradient_segment_range_redistribute_handles

Uniformly redistribute the segment range’s handles.

since: 2.2

###### gimp_gradient_segment_range_replicate

Replicate the segment range.

since: 2.2

###### gimp_gradient_segment_range_set_blending_function

Sets the blending function of a range of segments.

since: 2.2

###### gimp_gradient_segment_range_set_coloring_type

Sets the coloring type of a range of segments.

since: 2.2

###### gimp_gradient_segment_range_split_midpoint

Splits each segment in the segment range at midpoint.

since: 2.2

###### gimp_gradient_segment_range_split_uniform

Splits each segment in the segment range uniformly.

since: 2.2

###### gimp_gradient_segment_set_left_color

Sets the left endpoint color of a segment.

since: 2.2

###### gimp_gradient_segment_set_left_pos

Sets the left endpoint position of the segment.

since: 2.2

###### gimp_gradient_segment_set_middle_pos

Sets the midpoint position of the segment.

since: 2.2

###### gimp_gradient_segment_set_right_color

Sets the right endpoint color of the segment.

since: 2.2

###### gimp_gradient_segment_set_right_pos

Sets the right endpoint position of the segment.

since: 2.2

##### Methods inherited from GimpResource (12)

###### gimp_resource_delete

Deletes a resource.

unstable since: 3.0

###### gimp_resource_duplicate

Duplicates a resource.

unstable since: 3.0

###### gimp_resource_get_id

No description available.

unstable since: 3.0

###### gimp_resource_get_name

Returns the resource’s name.

unstable since: 3.0

###### gimp_resource_is_brush

Returns whether the resource is a brush.

unstable since: 3.0

###### gimp_resource_is_editable

Whether the resource can be edited.

unstable since: 3.0

###### gimp_resource_is_font

Returns whether the resource is a font.

unstable since: 3.0

###### gimp_resource_is_gradient

Returns whether the resource is a gradient.

unstable since: 3.0

###### gimp_resource_is_palette

Returns whether the resource is a palette.

unstable since: 3.0

###### gimp_resource_is_pattern

Returns whether the resource is a pattern.

unstable since: 3.0

###### gimp_resource_is_valid

Returns TRUE if the resource is valid.

unstable since: 3.0

###### gimp_resource_rename

Renames a resource. When the name is in use, renames to a unique name.

unstable since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GimpResource (1)

###### Gimp.Resource:id

No description available.

unstable since: 3.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GimpGradientClass {
      GimpResourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: GimpResourceClass`
  No description available.